'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function () {
  var cb = arguments.length <= 0 || arguments[0] === undefined ? function () {} : arguments[0];

  var server = _http2.default.createServer(_request.onRequest);
  var url = 'http://' + _config2.default.host + ':' + _config2.default.port;

  server.timeout = _config2.default.timeout;

  return new Promise(function (resolve, reject) {
    server.listen(_config2.default.port, _config2.default.host, function () {
      if (_config2.default.log.server) {
        console.log('=> Running at ' + url);
      }
      cb(url);
      resolve(url);
    });
  });
};

var _http = require('http');

var _http2 = _interopRequireDefault(_http);

var _config = require('./config');

var _config2 = _interopRequireDefault(_config);

var _request = require('./request');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }